---
- entityDefinitions:
  - IDM_ExternalID_View_Start: '{745d0e0b-d14f-4f42-bfb7-9cc77b311d4f}'
  - IDM_ExternalID_View: '{48fd3b11-ac6c-4f25-9b6c-f9f7dcd04eec}'
  - IDMB_ExternalID_View: '{3b4a12e2-3b2d-4efc-94bf-a0ca2094cc60}'
  - IDE_ExternalID_View_Start: '{655fc357-afd1-420e-a440-2885f16d72ff}'
  - IDE_ExternalID_View: '{b1b58ea7-e775-4edd-bff6-872f51b53d47}'
  - IDT_ExternalID_View: '{81e1559e-e5e6-4dce-aec8-28866e0cb578}'

- library: '&IDL_MochaBaseSystem;'
  instances:

  - controlTransactionMethod: '&IDM_ExternalID_View_Start;'
    forClassId: '&IDC_ExternalID;'
    verb: ''
    name: 'view start'
    buildsResponseWithBRMB:
    - globalIdentifier: '&IDMB_ExternalID_View;'
      executesMethod: '&IDM_ExternalID_View;'
  
  - buildUIResponseMethod: '&IDM_ExternalID_View;'
    usesExecutableReturningElement: '&IDE_ExternalID_View;'

  - element: '&IDE_ExternalID_View_Start;'
    name: 'edit ref id start'
    processedByCTMethod: '&IDM_ExternalID_View_Start;'
    elementContents:
    - globalIdentifier: '{408134b5-ff29-48ba-9463-0c00f36933d1}'
      defaultDataType: '&IDE_ExternalID_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - sequenceTask: '&IDT_ExternalID_View;'
    name: 'View External IDs'
    relatedTaskParameter: '&IDI_WorkSet_ClassForEditClassTask;'
    taskCategory: '&IDI_TaskCategory_IntegrationIDs;'
    initiatingElement: '&IDE_ExternalID_View_Start;'

  - element: '&IDE_ExternalID_View;'
    name: 'view ref id'
    label: 'View External IDs'
    elementContents:
    - globalIdentifier: '{256d761d-6fd4-4e30-8f50-04ce44a7489b}'
      defaultDataType: '&IDE_ReferenceID_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_NotEnterable;'